Bug 1696927 - signon conflicts with gsignond
Summary: signon conflicts with gsignond
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gsignond
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1649555
TreeView+ depends on / blocked
 
Reported: 2019-04-06 09:36 UTC by yucef sourani
Modified: 2019-05-10 18:49 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-07 16:46:34 UTC


Attachments (Terms of Use)

Description yucef sourani 2019-04-06 09:36:53 UTC
I'm trying to install "Pantheon Desktop" group ,This group needs  gsignond.

I already have signon Which conflicts with gsignond .


Error: Transaction check error:
  file /usr/share/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service from install of gsignond-1.2.0-2.fc30.x86_64 conflicts with file from package signon-8.60-2.fc30.x86_64

Error Summary
-------------



Note :
testing repositories = enabled .

Comment 1 Fabio Valentini 2019-04-06 13:38:40 UTC
The conflict is expected (and intentional), since both packages provide the same DBus interfaces.

That this makes the installation of the group fail is unexpected, though.

I've submitted a PR to remove the hard-coded dependency on gsignond components from the Pantheon Desktop group, which should make it possible to install it on systems where "signond" is already installed.

https://pagure.io/fedora-comps/pull-request/385

Comment 2 yucef sourani 2019-04-06 14:17:13 UTC
(In reply to Fabio Valentini from comment #1)
> The conflict is expected (and intentional), since both packages provide the
> same DBus interfaces.
> 
> That this makes the installation of the group fail is unexpected, though.
> 
> I've submitted a PR to remove the hard-coded dependency on gsignond
> components from the Pantheon Desktop group, which should make it possible to
> install it on systems where "signond" is already installed.
> 
> https://pagure.io/fedora-comps/pull-request/385

Thank you for your interest , I think I understand.

Comment 3 Fabio Valentini 2019-04-06 14:24:28 UTC
Once the changes to the Pantheon group have propagated, you should be able to 'dnf install "Pantheon Desktop"' successfully.
I don't know how long that will take, though.

Comment 4 Truls Gulbrandsen 2019-05-02 09:01:02 UTC
I have the same problem using dnf-ugrade from Fedora 29, Gnome 3.30.2 to Fedora 30.

I can remove gsignond without hurting my system (as far as I can see), but error doesn't go away. If I try to remove signon, Galigra and Spectacle will go with it. I have not completed this last step.

Below is error message from the dnf-system-upgrade:


Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service conflicts between attempted installs of gsignond-1.2.0-2.fc30.x86_64 and signon-8.60-2.fc30.x86_64

Error Summary
-------------

Comment 5 Fabio Valentini 2019-05-02 09:19:10 UTC
I assume you have Pantheon packages installed on your system?

Comment 6 Truls Gulbrandsen 2019-05-02 10:12:11 UTC
That's true, when checking I have Pantheon packages installed. Though I don't know the origin of these packages, i.e. what I installed that pulled them in.

Comment 7 Fabio Valentini 2019-05-02 10:35:46 UTC
Interesting ..

So, to clarify - on your system, signond is installed, but gsignond is pulled in for the upgrade, but conflicts. Is that correct?

Comment 8 Truls Gulbrandsen 2019-05-02 12:19:48 UTC
On my system both gsignond and signon are installer

Installed Packages
Name         : gsignond
Version      : 1.1.0
Release      : 4.fc29
Architecture : x86_64
Size         : 302 k
Source       : gsignond-1.1.0-4.fc29.src.rpm
Repository   : @System
From repo    : updates
Summary      : GSignOn daemon
URL          : https://gitlab.com/accounts-sso/gsignond
License      : GPLv3
Description  : The GSignOn daemon is a D-Bus service which performs user
             : authentication on behalf of its clients. There are currently
             : authentication plugins for OAuth 1.0 and 2.0, SASL, Digest-MD5,
             : and plain username/password combination.
_______

Installed Packages
Name         : signon
Version      : 8.59
Release      : 7.fc29
Architecture : x86_64
Size         : 1.5 M
Source       : signon-8.59-7.fc29.src.rpm
Repository   : @System
From repo    : fedora
Summary      : Accounts framework for Linux and POSIX based platforms
URL          : https://gitlab.com/accounts-sso/signond
License      : LGPLv2
Description  : Single Sign-On is a framework for centrally storing
             : authentication credentials and handling authentication on behalf
             : of applications as requested by applications. It consists of a
             : secure storage of login credentials (for example usernames and
             : passwords), plugins for different authentication systems and a
             : client library for applications to communicate with this system.

Comment 9 Fedora Update System 2019-05-02 12:55:45 UTC
gsignond-1.2.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f8dcf2a39

Comment 10 Fabio Valentini 2019-05-02 12:57:50 UTC
This update should hopefully fix your upgrade issue, but it will take up to 7-10 days for it to go stable.

Comment 11 Fedora Update System 2019-05-03 04:12:22 UTC
gsignond-1.2.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f8dcf2a39

Comment 12 Truls Gulbrandsen 2019-05-03 08:37:17 UTC
Should I do the following and will it work:

dnf system-upgrade download --releasever=30 --enablerepo=updates-testing

or rather wait for the corrected package to reach the stable repo?

Comment 13 Fabio Valentini 2019-05-03 11:25:13 UTC
Since you probably don't want other packages from the updates-testing repo, I think it's best to wait until the gsignond update is pushed to stable.

Sorry for the trouble.

Comment 14 William Bonnaventure 2019-05-07 08:51:40 UTC
When installing @pantheon-desktop with the new update https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f8dcf2a39 I have the exact same issue (with KDE + signon preinstalled).
The only difference is that gsignond is now a weak dependency, but the new behaviour should ignore gsignond as signon is already installed.
We can ignore weak dependencies to continue installation.

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service conflicts between attempted installs of gsignond-1.2.0-2.fc30.x86_64 and signon-8.60-2.fc30.x86_64

Comment 15 Fabio Valentini 2019-05-07 08:56:29 UTC
It looks like there's something wrong here - the version of gsignond referenced by your error isn't the version that's part of the update you linked.

Comment 16 William Bonnaventure 2019-05-07 09:11:21 UTC
dnf seems to ignore updates-testing when installing a group.
It may actually work when it will be pushed to stable.

Comment 17 Fabio Valentini 2019-05-07 09:17:48 UTC
It shouldn't ... and it doesn't, when I try it locally here.

Can you test this again, once the update has been pushed to stable?
It should be available in about 24 hours, if nothing goes wrong.

Comment 18 William Bonnaventure 2019-05-07 09:26:18 UTC
Actually you're right. dnf has both updates and updates-testing but gsignond 1.2.0-2.fc30 remains as weak dependency.

$ dnf group install --enablerepo=updates-testing 'Pantheon Desktop'

But when gsignond 1.2.0-3.fc30 will actually replace the old one in stable it should be fine.

Comment 19 Fabio Valentini 2019-05-07 09:43:48 UTC
I just pushed another change, which is to make signon conflict with gsignond explicitly, too.

This should cover almost all cases and should fix installation of Pantheon and upgrades from fedora 29.

Comment 20 Fedora Update System 2019-05-07 16:46:34 UTC
gsignond-1.2.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Travis Michette 2019-05-09 17:26:41 UTC
It appears the problem still exists, at least in some use cases.

Error: 
 Problem: problem with installed package signon-8.60-2.fc30.x86_64
  - package gsignond-1.2.0-3.fc30.x86_64 conflicts with signon provided by signon-8.60-2.fc30.x86_64
  - conflicting requests
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)


Error: Transaction check error:
  file /usr/share/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service from install of gsignond-1.2.0-2.fc30.x86_64 conflicts with file from package signon-8.60-2.fc30.x86_64

Comment 22 William Bonnaventure 2019-05-09 17:30:08 UTC
Upgrade signon from testing repository : https://bodhi.fedoraproject.org/updates/FEDORA-2019-5f5e189062

Then it works properly.

Comment 23 Travis Michette 2019-05-09 17:35:55 UTC
@william -

Thanks, that worked. I assumed when I got the *new* version available of -3 being pushed to the stable, I didn't need to use the testing repository.

Comment 24 Truls Gulbrandsen 2019-05-10 08:13:52 UTC
I am still unable to make the upgrade. Enabling the test repo returns the following message:

-----
 dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2019-5f5e189062
bintray--resin-io-redhat                        291  B/s |  41  B     00:00    
Failed to synchronize cache for repo 'bintray--resin-io-redhat'
Fedora 29 openh264 (From Cisco) - x86_64        4.5 kB/s | 5.0 kB     00:01    
Fedora Modular 29 - x86_64                      1.2 MB/s | 1.5 MB     00:01    
Fedora Modular 29 - x86_64 - Updates            1.9 MB/s | 2.4 MB     00:01    
Fedora 29 - x86_64 - Test Updates               5.2 MB/s | 6.3 MB     00:01    
Fedora 29 - x86_64 - Updates                    5.4 MB/s |  27 MB     00:04    
Fedora 29 - x86_64                              6.1 MB/s |  62 MB     00:10    
google-musicmanager                              20 kB/s | 1.5 kB     00:00    
RPM Fusion for Fedora 29 - Free - Updates       590 kB/s | 387 kB     00:00    
RPM Fusion for Fedora 29 - Free                 2.4 MB/s | 759 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree - Updates    423 kB/s |  90 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree              987 kB/s | 221 kB     00:00    
tlp RPM packages                                2.8 kB/s | 1.1 kB     00:00    
tlp RPM packages                                7.8 kB/s | 3.0 kB     00:00    
Ignoring repositories: bintray--resin-io-redhat
No security updates needed, but 200 updates available
Dependencies resolved.
Nothing to do.
Complete!
-------

system-upgrade returns the following message:

-----

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service conflicts between attempted installs of gsignond-1.2.0-2.fc30.x86_64 and signon-8.60-2.fc30.x86_64

Error Summary
-------------

Comment 25 Fabio Valentini 2019-05-10 09:09:49 UTC
Hm. It's still trying to pull in the old versions, before I fixed things.

Which desktop environments do you have installed?

Comment 26 Truls Gulbrandsen 2019-05-10 09:27:30 UTC
Does this give the requested info?

[root@localhost ~]# ls /usr/share/xsessions
gnome-classic.desktop  gnome-xorg.desktop  plasma.desktop
gnome.desktop          pantheon.desktop
[root@localhost ~]#

Comment 27 Fabio Valentini 2019-05-10 18:49:56 UTC
Yes, that answers my question.

Removing signon-glib (and noting which packages get removed too), doing the upgrade, and then installing the previously removed pacakges again should solve this issue.
I can't think of better way to do this right now.

Sorry for the trouble.


Note You need to log in before you can comment on or make changes to this bug.